Skip to main content
POST
/
api
/
core
/
service-accounts
Create a service account
curl --request POST \
  --url https://api.example.com/api/core/service-accounts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "<string>",
  "display_name": "<string>",
  "permissions": [
    "<string>"
  ],
  "expires_at": "2023-11-07T05:31:56Z"
}
'
{
  "id": "<string>",
  "display_name": "<string>",
  "permissions": [
    "<string>"
  ],
  "api_key": "<string>",
  "expires_at": "2023-11-07T05:31:56Z",
  "qr_disabled": false,
  "qr_feature_linked": false
}

Documentation Index

Fetch the complete documentation index at: https://docs.genow.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication. Format: 'Bearer '

Body

application/json
id
string
required
Required string length: 1 - 64
display_name
string
required
Minimum string length: 1
permissions
string[]
expires_at
string<date-time> | null

Response

Successful Response

id
string
required
display_name
string
required
permissions
string[]
required
api_key
string
required
expires_at
string<date-time> | null
qr_disabled
boolean
default:false
qr_feature_linked
boolean
default:false